'use strict';

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _http = require('http');

var _http2 = _interopRequireDefault(_http);

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

var _processFile = require('./components/process-file');

var _processFile2 = _interopRequireDefault(_processFile);

var _infusionauth = require('./components/infusionauth');

var _infusionauth2 = _interopRequireDefault(_infusionauth);

var _download = require('./components/download');

var _download2 = _interopRequireDefault(_download);

var _lokka = require('lokka');

var _lokka2 = _interopRequireDefault(_lokka);

var _lokkaTransportHttp = require('lokka-transport-http');

var _lokkaTransportHttp2 = _interopRequireDefault(_lokkaTransportHttp);

var _infusionsoftJavascriptApi = require('infusionsoft-javascript-api');

var _infusionsoftJavascriptApi2 = _interopRequireDefault(_infusionsoftJavascriptApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const app = (0, _express2.default)();
if (process.env.NODE_ENV !== 'production') require('dotenv').config();

var infusionsoft = new _infusionsoftJavascriptApi2.default.DataContext('qv334', 'd1f4afbf3745e4fa039c9b126b5c3062');

const lokkaheaders = {
  'Authorization': 'Bearer ' + process.env.GRAPHQL_AUTH
};

const client = new _lokka2.default({
  transport: new _lokkaTransportHttp2.default(process.env.GRAPHQL, { lokkaheaders })
});

app.use(_bodyParser2.default.json());
app.use('/process', (0, _processFile2.default)(client, infusionsoft));
app.use('/infusion', (0, _infusionauth2.default)(client));
app.use('/download', _download2.default);

const port = process.env.PORT || 8080;

process.on('unhandledRejection', error => {
  console.log('unhandledRejection', error); // eslint-disable-line no-console
});

const server = _http2.default.createServer(app);
server.listen(port, function () {
  console.log('Updated : Server listening at port %d', port); // eslint-disable-line no-console
});
//# sourceMappingURL=index.js.map