import express from 'express'
import http from 'http'
import bodyParser from 'body-parser'
import Process from './components/process-file'
import InfusionAuth from './components/infusionauth'
import Download from './components/download'
import Lokka from 'lokka'
import Transport from 'lokka-transport-http'
import api from 'infusionsoft-javascript-api'

const app = express()
if (process.env.NODE_ENV !== 'production') require('dotenv').config()

var infusionsoft = new api.DataContext('qv334', 'd1f4afbf3745e4fa039c9b126b5c3062')

const lokkaheaders = {
  'Authorization': 'Bearer ' + process.env.GRAPHQL_AUTH,
}

const client = new Lokka({
  transport: new Transport(process.env.GRAPHQL, { lokkaheaders }),
})

app.use(bodyParser.json())
app.use('/process', Process(client, infusionsoft))
app.use('/infusion', InfusionAuth(client))
app.use('/download', Download)

const port = process.env.PORT || 8080

process.on('unhandledRejection', error => {
  console.log('unhandledRejection', error) // eslint-disable-line no-console
})

const server = http.createServer(app)
server.listen(port, function () {
  console.log('Updated : Server listening at port %d', port) // eslint-disable-line no-console
})
